package cn.com.poc.thirdparty.resource.tianju.api.constant;

/**
 * 新闻频道分类枚举
 */
public enum TianNewsChannelEnum {
    PET_NEWS(46,"宠物","N"),
    ELECTRONIC_SPORTS_NEWS(45,"电竞","N"),
    FEMALE_NEWS(43,"女性","Y"),
    GARBAGE_CLASSIFICATION_NEWS(42,"垃圾分类","N"),
    ENVIRONMENTAL_PROTECTION_NEWS(41,"环保","N"),
    FILM_TELEVISION_NEWS(40,"影视","Y"),
    HANFU_NEWS(38,"汉服","N"),
    SCIENCE_EXPLORATION_NEWS(36,"科学探索","Y"),
    CARS_NEWS(35,"汽车","Y"),
    INTERNET_NEWS(34,"互联网","Y"),
    ANIMATION_NEWS(33,"动漫","Y"),
    FINANCE_ECONOMICS_NEWS(32,"财经","Y"),
    GAME_NEWS(31,"游戏","Y"),
    CBA_NEWS(30,"CBA","Y"),
    ARTIFICIAL_INTELLIGENCE_NEWS(29,"人工智能","Y"),
    MILITARY_AFFAIRS(27,"军事","Y"),
    FOOTBALL_NEWS(26,"足球","N"),
    START_BUSINESS_NEWS(24,"创业","Y"),
    IT_NEWS(22,"IT","Y"),
    VR_NEWS(21,"VR","N"),
    NBA_NEWS(20,"NBA","N"),
    APPLE_NEWS(19,"苹果","N"),
    TRAVEL_NEWS(18,"旅游","Y"),
    HEALTH_KNOWLEDGE(17,"健康知识","Y"),
    SCIENCE_NEWS(13,"科学","N"),
    SPORTS_NEWS(12,"体育","Y"),
    RECREATION_NEWS(10,"娱乐","Y"),
    INTERNATION_NEWS(8,"国际","Y"),
    INTERNAL_NEWS(7,"国内","N"),
    SOCIETY_NEWS(5,"社会","Y");

    private final Integer id;

    private final String newType;

    private final String isShow;

    TianNewsChannelEnum(Integer id, String newType, String isShow) {
        this.id = id;
        this.newType = newType;
        this.isShow = isShow;
    }

    public Integer getId() {
        return id;
    }

    public String getNewType() {
        return newType;
    }

    public String getIsShow() {
        return isShow;
    }
}
